## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObjectTypeCallback Class Reference

The purpose of this class is to provide a way to get the "preferred" or closest matching type for XObject-derived classes. More...

`#include <XObjectTypeCallback.hpp>`

Inheritance diagram for XObjectTypeCallback:

[legend]
List of all members.

## Public Methods

- XObjectTypeCallback ()
- virtual ~XObjectTypeCallback ()
- virtual void Number (const XObject &theXObject, double theValue)=0
    Call back the XObject with a numeric value. More...
- virtual void Boolean (const XObject &theXObject, bool theValue)=0
    Call back the XObject with a boolean value. More...
- virtual void String (const XObject &theXObject, const XalanDOMString &theValue)=0
    Call back the XObject with a string value. More...
- virtual void ResultTreeFragment (const XObject &theXObject, const ResultTreeFragBase &theValue)=0
    Call back the XObject with a result tree fragment value. More...
- virtual void ResultTreeFragment (const XObject &theXObject, ResultTreeFragBase &theValue)=0
    Call back the XObject with a result tree fragment value. More...
- virtual void NodeSet (const XObject &theXObject, const NodeRefListBase &theValue)=0
    Call back the XObject with a node set value. More...
- virtual void Unknown (const XObject &theObject, const XalanDOMString &theName)=0
    Call back the XObject with an unknown value. More...
- virtual void Null (const XObject &theObject)=0
    Call back the XObject with a null value. More...

## Detailed Description

The purpose of this class is to provide a way to get the "preferred" or closest matching type for XObject-derived classes.

The idea is to pass a reference to an instance of this class to an XObject instance. It will then call back to the member function that most closely matches its type. This makes it possible to get preferred typing information without doing RTTI or other such type introspections.

## Constructor & Destructor Documentation

XObjectTypeCallback::XObjectTypeCallback ( | )

XObjectTypeCallback::~XObjectTypeCallback ( | )`[virtual]`

## Member Function Documentation

void XObjectTypeCallback::Boolean ( | const XObject & theXObject,
| bool theValue )`[pure virtual]`

  | Call back the XObject with a boolean value. Parameters:
  theXObject |
  theValue |

void XObjectTypeCallback::NodeSet ( | const XObject & theXObject,
| const NodeRefListBase & theValue )`[pure virtual]`

  | Call back the XObject with a node set value. Parameters:
  theXObject |
  theValue |

void XObjectTypeCallback::Null ( | const XObject & theObject )`[pure virtual]`

  | Call back the XObject with a null value. Parameters:
  theXObject |
  theValue |

void XObjectTypeCallback::Number ( | const XObject & theXObject,
| double theValue )`[pure virtual]`

  | Call back the XObject with a numeric value. Parameters:
  theXObject |
  theValue |

void XObjectTypeCallback::ResultTreeFragment ( | const XObject & theXObject,
| ResultTreeFragBase & theValue )`[pure virtual]`

  | Call back the XObject with a result tree fragment value. Parameters:
  theXObject |
  theValue |

void XObjectTypeCallback::ResultTreeFragment ( | const XObject & theXObject,
| const ResultTreeFragBase & theValue )`[pure virtual]`

  | Call back the XObject with a result tree fragment value. Parameters:
  theXObject |
  theValue |

void XObjectTypeCallback::String ( | const XObject & theXObject,
| const XalanDOMString & theValue )`[pure virtual]`

  | Call back the XObject with a string value. Parameters:
  theXObject |
  theValue |

void XObjectTypeCallback::Unknown ( | const XObject & theObject,
| const XalanDOMString & theName )`[pure virtual]`

  | Call back the XObject with an unknown value. Parameters:
  theXObject |
  theValue |

The documentation for this class was generated from the following file:

- XObjectTypeCallback.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.